import { afterEvents } from "./eternal/constants";

// Manually add resistance effect (current bp item format version lost the feature to add that.)
afterEvents.itemCompleteUse.subscribe((e) => {
  const { itemStack, source } = e;

  if (itemStack.typeId === "ecbl_bc:cooked_prime_meat") {
    source.addEffect("resistance", 600);
  }
});
